[package]
name = "ad7124"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
bern-register-generator = { version = "*", path = "../../bern-register-generator" }
embedded-hal = "0.2.7"
nb = "1.0.0"
micromath = "2.0.0"

[dev-dependencies]
cortex-m = "0.7.4"
cortex-m-rt = "0.7.1"
board = { version = "*", path = "../../board", features = ["linker-memory"] }
rtt-target = { version = "0.3.1", features = ["cortex-m"] }
panic-rtt-target = { version = "0.1.2", features = ["cortex-m"] }
